Package: libapache-mod-ldap
Version: 1.8-2
Severity: normal
Tags: patch

Hi,

Attached is the diff for my libapache-mod-ldap 1.8-2.1 NMU during the
current BSP which I'll upload to delayed-0.

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D
diff -u libapache-mod-ldap-1.8/debian/postrm libapache-mod-ldap-1.8/debian/postrm
--- libapache-mod-ldap-1.8/debian/postrm
+++ libapache-mod-ldap-1.8/debian/postrm
@@ -5,26 +5,28 @@
 
 MODULE=mod_ldap
 
-# Source debconf library.
-. /usr/share/debconf/confmodule
-
 case "$1" in
   remove)
-    db_get shared/apache-modules/counters/remove
-    COUNT="$RET"
-    let COUNT-- || true
-    db_set shared/apache-modules/counters/remove "$COUNT"
-    if [ "$COUNT" -eq 0 ]
-    then
-      # this is a last removed module, time to act
-      db_get shared/apache-modules/counters/remove_list
-      LIST="$RET"
-      for ap in '' -ssl -perl
-      do
-	[ -x /usr/sbin/apache$ap ] && \
-	  apache-modconf apache$ap disable "`echo $LIST | sed -e 's/^,//'`"
-      done
-      db_set shared/apache-modules/counters/remove_list ''
+    if [ -f /usr/share/debconf/confmodule ]; then
+	    # Source debconf library.
+	    . /usr/share/debconf/confmodule
+	
+	    db_get shared/apache-modules/counters/remove
+	    COUNT="$RET"
+	    let COUNT-- || true
+	    db_set shared/apache-modules/counters/remove "$COUNT"
+	    if [ "$COUNT" -eq 0 ]
+	    then
+	      # this is a last removed module, time to act
+	      db_get shared/apache-modules/counters/remove_list
+	      LIST="$RET"
+	      for ap in '' -ssl -perl
+	      do
+		[ -x /usr/sbin/apache$ap ] && \
+		  apache-modconf apache$ap disable "`echo $LIST | sed -e 's/^,//'`"
+	      done
+	      db_set shared/apache-modules/counters/remove_list ''
+	    fi
     fi
     ;;
     
diff -u libapache-mod-ldap-1.8/debian/preinst libapache-mod-ldap-1.8/debian/preinst
--- libapache-mod-ldap-1.8/debian/preinst
+++ libapache-mod-ldap-1.8/debian/preinst
@@ -5,64 +5,66 @@
 
 MODULE=mod_ldap
 
-# Source debconf library.
-. /usr/share/debconf/confmodule
-
-case "$1" in
-  install)
-    db_get shared/apache-modules/counters/install
-    COUNT="$RET"
-    db_get shared/apache-modules/counters/install_list
-    LIST="$RET"
-    if echo $LIST | sed -e 's/,/,\n/g' | egrep -q "^$MODULE,?$"
-    then
-      # already added, nothing to do
-      :
-    else
-      # add this module to list & counter
-      let COUNT++ || true
-      LIST="$LIST,$MODULE"
-      db_set shared/apache-modules/counters/install "$COUNT"
-      db_set shared/apache-modules/counters/install_list "$LIST"
-    fi
-    ;;
-    
-  upgrade | abort-upgrade)
-    db_get shared/apache-modules/counters/upgrade
-    COUNT="$RET"
-    db_get shared/apache-modules/counters/upgrade_list
-    LIST="$RET"
-    if [ "$COUNT" -eq 0 ]
-    then
-      # no modules were upgraded so far, so we need to ask for reload
-      for ap in '' -ssl -perl
-      do
-	if [ -x /usr/sbin/apache$ap ]
-	then
-	  db_fset shared/apache-modules/reload$ap seen false
-	  db_input medium shared/apache-modules/reload$ap || true
-	  db_go
-	fi
-      done
-    fi
-    if echo $LIST | sed -e 's/,/,\n/g' | egrep -q "^$MODULE,?$"
-    then
-      # already added, nothing to do
-      :
-    else
-      # add this module to list & counter
-      let COUNT++ || true
-      LIST="$LIST,$MODULE"
-      db_set shared/apache-modules/counters/upgrade "$COUNT"
-      db_set shared/apache-modules/counters/upgrade_list "$LIST"
-    fi
-    ;;
-  
-  *)
-    echo "$0: didn't understand being called with \`$1'" >&2
-    exit 1
-    ;;
-esac
+if [ -f /usr/share/debconf/confmodule ]; then
+	# Source debconf library.
+	. /usr/share/debconf/confmodule
+	
+	case "$1" in
+	  install)
+	    db_get shared/apache-modules/counters/install
+	    COUNT="$RET"
+	    db_get shared/apache-modules/counters/install_list
+	    LIST="$RET"
+	    if echo $LIST | sed -e 's/,/,\n/g' | egrep -q "^$MODULE,?$"
+	    then
+	      # already added, nothing to do
+	      :
+	    else
+	      # add this module to list & counter
+	      let COUNT++ || true
+	      LIST="$LIST,$MODULE"
+	      db_set shared/apache-modules/counters/install "$COUNT"
+	      db_set shared/apache-modules/counters/install_list "$LIST"
+	    fi
+	    ;;
+	    
+	  upgrade | abort-upgrade)
+	    db_get shared/apache-modules/counters/upgrade
+	    COUNT="$RET"
+	    db_get shared/apache-modules/counters/upgrade_list
+	    LIST="$RET"
+	    if [ "$COUNT" -eq 0 ]
+	    then
+	      # no modules were upgraded so far, so we need to ask for reload
+	      for ap in '' -ssl -perl
+	      do
+		if [ -x /usr/sbin/apache$ap ]
+		then
+		  db_fset shared/apache-modules/reload$ap seen false
+		  db_input medium shared/apache-modules/reload$ap || true
+		  db_go
+		fi
+	      done
+	    fi
+	    if echo $LIST | sed -e 's/,/,\n/g' | egrep -q "^$MODULE,?$"
+	    then
+	      # already added, nothing to do
+	      :
+	    else
+	      # add this module to list & counter
+	      let COUNT++ || true
+	      LIST="$LIST,$MODULE"
+	      db_set shared/apache-modules/counters/upgrade "$COUNT"
+	      db_set shared/apache-modules/counters/upgrade_list "$LIST"
+	    fi
+	    ;;
+	  
+	  *)
+	    echo "$0: didn't understand being called with \`$1'" >&2
+	    exit 1
+	    ;;
+	esac
+fi
 
 #DEBHELPER#
 
diff -u libapache-mod-ldap-1.8/debian/changelog libapache-mod-ldap-1.8/debian/changelog
--- libapache-mod-ldap-1.8/debian/changelog
+++ libapache-mod-ldap-1.8/debian/changelog
@@ -1,3 +1,11 @@
+libapache-mod-ldap (1.8-2.1) unstable; urgency=high
+
+  * Non-maintainer upload during BSP.
+  * Fix unconditional use of debconf in postrm (Closes: #416892).
+  * Add Portuguese debconf translation (Closes: #414808).
+
+ -- Luk Claes <[EMAIL PROTECTED]>  Fri, 18 May 2007 15:31:06 +0200
+
 libapache-mod-ldap (1.8-2) unstable; urgency=low
 
   * Added Czech, German, Spanish, French, Italian, Japanese and Swedish
only in patch2:
unchanged:
--- libapache-mod-ldap-1.8.orig/debian/po/pt.po
+++ libapache-mod-ldap-1.8/debian/po/pt.po
@@ -0,0 +1,77 @@
+# Portuguese translation of libapache-mod-ldap's debconf messages.
+# Copyright (C) 2007
+# This file is distributed under the same license as the libapache-mod-ldap package.
+# Ricardo Silva <[EMAIL PROTECTED]>, 2007.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: libapache-mod-ldap 1.8-2\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2007-01-13 19:38+0100\n"
+"PO-Revision-Date: 2007-03-12 21:21+0000\n"
+"Last-Translator: Ricardo Silva <[EMAIL PROTECTED]>\n"
+"Language-Team: Portuguese <[EMAIL PROTECTED]>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../templates:1001
+msgid "Reload apache?"
+msgstr "Carregar a nova configura????o do apache?"
+
+#. Type: boolean
+#. Description
+#: ../templates:1001
+msgid ""
+"Some apache modules were upgraded. Apache has to be reloaded to use the new "
+"version. I can reload it automatically for you now, or you can do it later "
+"by executing /etc/init.d/apache reload"
+msgstr ""
+"Foram actualizados alguns m??dulos do apache. A configura????o do apache tem de ser "
+"carregada para usar a nova vers??o. Posso carreg??-la automaticamente, ou pode faz??-lo"
+"mais tarde executando /etc/init.d/apache reload"
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid "Reload apache-ssl?"
+msgstr "Carregar a nova configura????o do apache-ssl?"
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"Some apache modules were upgraded. Apache-ssl has to be reloaded to use the "
+"new version. I can reload it automatically for you now, or you can do it "
+"later by executing /etc/init.d/apache-ssl reload"
+msgstr ""
+"Foram actualizados alguns m??dulos do apache. A configura????o do apache-ssl tem de ser "
+"carregada para usar a nova vers??o. Posso carreg??-la automaticamente, ou pode faz??-lo"
+"mais tarde executando /etc/init.d/apache-ssl reload"
+
+#. Type: boolean
+#. Description
+#: ../templates:3001
+msgid "Reload apache-perl?"
+msgstr "Carregar a nova configura????o do apache-ssl?"
+
+#. Type: boolean
+#. Description
+#: ../templates:3001
+msgid ""
+"Some apache modules were upgraded. Apache-perl has to be reloaded to use the "
+"new version. I can reload it automatically for you now, or you can do it "
+"later by executing /etc/init.d/apache-perl reload"
+msgstr ""
+"Foram actualizados alguns m??dulos do apache. A configura????o do apache-perl tem de ser "
+"carregada para usar a nova vers??o. Posso carreg??-la automaticamente, ou pode faz??-lo"
+"mais tarde executando /etc/init.d/apache-perl reload"
+
+
+#. Type: multiselect
+#. Description
+#: ../templates:4001
+msgid "Please select new modules that ${flavour} should load"
+msgstr "Por favor, escolha os novos m??dulos que ${flavour} deve carregar"

Reply via email to